
Figure - Bug #118345
【IOVDEV-31216】【IOVDEV-32257】【VC1】【0095】【台架】【EE环境】【副屏】monkey命令自动停止了
2023-05-29 17:00 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-31

Priority: Normal Due date: 2023-06-05

Assignee: CDTS_TEST 王成 % Done: 100%

Category: 重启 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0095.c103

Resolution: DUPLICATE Degrated: --

Severity: Normal Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】EE环境

【问题出现时间】：20230527 15:28

【前提条件】：副屏上电，网络正常

【操作步骤】

1.05月27日下午六点后，执行monkey命令。

【实际结果】

1.05月28号晚上十一点五十多monkey命令自动停止了。

【期望结果】

1.monkey命令一直执行下去。

【备注】：

台架Log地址：https://ofs.human-horizons.com/#/download/index/Cheo%2Bhv8ccY%3D

【当前开机次数】：副屏第133次开机

【应用版本】：/

【VIN】：HRYTTESTVINMGM401

【硬件版本号】：/

【中控版本号】：03.02.0082.C101

【副屏版本号】：01.00.0095.c103

Subtasks:

Bug # 118384: 【IOVDEV-31641】【VC1】【0095】【台架】【EE环境】【副屏】2023年05月3... CLOSED

Related issues:

Related to Figure - Bug # 118460: 【IOVDEV-32257】【内部】【VC1】... CLOSED 2023-06-02

History

#1 - 2023-05-29 17:11 - CDTS_TEST 王成
https://ofs.human-horizons.com/#/download/index/Cheo%2Bhv8ccY%3D


ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118345/0529.7z

#2 - 2023-05-29 17:55 - CD FW 曹覃刚

- Category changed from CD-FW to 重启

- Status changed from New to ASSIGNED

■ 我的分析

与 #113800 问题一样，surfaceflinger挂了，之前起了高通case:06347702, 但是并没有结果

--------------

05-28 23:54:38.988 31473 31473 F DEBUG   : * 

05-28 23:54:38.988 31473 31473 F DEBUG   : Build fingerprint: 'HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3388:user/test-keys'

05-28 23:54:38.988 31473 31473 F DEBUG   : Revision: '0'

05-28 23:54:38.988 31473 31473 F DEBUG   : ABI: 'arm64'

05-28 23:54:38.988 31473 31473 F DEBUG   : Timestamp: 2023-05-28 23:54:38.890042173+0800

05-28 23:54:38.988 31473 31473 F DEBUG   : Process uptime: 0s

05-28 23:54:38.988 31473 31473 F DEBUG   : Cmdline: /system/bin/surfaceflinger

05-28 23:54:38.988 31473 31473 F DEBUG   : pid: 912, tid: 1070, name: Binder:912_2  >>> /system/bin/surfaceflinger <<<

05-28 23:54:38.988 31473 31473 F DEBUG   : uid: 1000

05-28 23:54:38.988 31473 31473 F DEBUG   : signal 11 (SIGSEGV), code 1 (SEGV_MAPERR), fault addr 0xffffffffffffffe8

05-28 23:54:38.988 31473 31473 F DEBUG   :     x0  b400007a96aba9e8  x1  b400007936d771b8  x2  b4000079671be380  x3  0000000000000001

05-28 23:54:38.988 31473 31473 F DEBUG   :     x4  0000007c06b822f4  x5  00000078f6ab16c0  x6  0000c1ce0000c71d  x7  0000c5a90000c528

05-28 23:54:38.988 31473 31473 F DEBUG   :     x8  b400007a86c90420  x9  0000000000000000  x10 0000000000000004  x11 0000000000000020

05-28 23:54:38.988 31473 31473 F DEBUG   :     x12 000000000000000e  x13 0000c78c0000c60c  x14 00009ecb958ebc00  x15 0000000034155555

05-28 23:54:38.988 31473 31473 F DEBUG   :     x16 0000005b9ab1cfd0  x17 0000007c0e8e3648  x18 00000078f3730000  x19 0000000000000000

05-28 23:54:38.988 31473 31473 F DEBUG   :     x20 b4000079671be380  x21 b400007936d771b8  x22 b4000079671be360  x23 0000007c0e8e0484

05-28 23:54:38.988 31473 31473 F DEBUG   :     x24 b4000079671be360  x25 00000078f392d000  x26 00000078f392cff8  x27 00000000000fc000

05-28 23:54:38.988 31473 31473 F DEBUG   :     x28 00000078f3834000  x29 00000078f392c990

05-28 23:54:38.988 31473 31473 F DEBUG   :     lr  0000007c0e8e372c  sp  00000078f392c990  pc  0000005b9a68c86c  pst 0000000060001000

05-28 23:54:38.988 31473 31473 F DEBUG   : backtrace:

05-28 23:54:38.988 31473 31473 F DEBUG   :       #00 pc 000000000015b86c  /system/bin/surfaceflinger (android::SortedVector<android::sp<android::Layer>

>::do_splat(void, void const*, unsigned long) const+72) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

05-28 23:54:38.988 31473 31473 F DEBUG   :       #01 pc 0000000000016728  /system/lib64/libutils.so (android::SortedVectorImpl::add(void const*)+224) (BuildId:

b940f836006eead456c936e97e64d2d4)

05-28 23:54:38.988 31473 31473 F DEBUG   :       #02 pc 00000000001a4ba8  /system/bin/surfaceflinger (android::SurfaceFlinger::onHandleDestroyed(android::BBinder*,

android::sp<android::Layer>&)+124) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

05-28 23:54:38.988 31473 31473 F DEBUG   :       #03 pc 000000000015b65c  /system/bin/surfaceflinger (android::Layer::LayerCleaner::~LayerCleaner()+72) (BuildId:

8958ca1cdc030c3e3967c8ecef82dddb)

05-28 23:54:38.988 31473 31473 F DEBUG   :       #04 pc 000000000015b5e4  /system/bin/surfaceflinger (virtual thunk to android::Layer::Handle::~Handle()+76) (BuildId:

8958ca1cdc030c3e3967c8ecef82dddb)

05-28 23:54:38.988 31473 31473 F DEBUG   :       #05 pc 000000000000ef34  /system/lib64/libutils.so (android::RefBase::decStrong(void const*) const+116) (BuildId:

b940f836006eead456c936e97e64d2d4)

05-28 23:54:38.988 31473 31473 F DEBUG   :       #06 pc 0000000000053b84  /system/lib64/libbinder.so (android::IPCThreadState::processPendingDerefs()+136) (BuildId:

07bc4d4147790b1e0ac44f7625168f4a)

05-28 23:54:38.988 31473 31473 F DEBUG   :       #07 pc 0000000000053c90  /system/lib64/libbinder.so (android::IPCThreadState::joinThreadPool(bool)+64) (BuildId:

07bc4d4147790b1e0ac44f7625168f4a)

05-28 23:54:38.988 31473 31473 F DEBUG   :       #08 pc 0000000000080484  /system/lib64/libbinder.so (android::PoolThread::threadLoop()+28) (BuildId:

07bc4d4147790b1e0ac44f7625168f4a)

05-28 23:54:38.988 31473 31473 F DEBUG   :       #09 pc 000000000001358c  /system/lib64/libutils.so (android::Thread::_threadLoop(void*)+264) (BuildId:

b940f836006eead456c936e97e64d2d4)

05-28 23:54:38.988 31473 31473 F DEBUG   :       #10 pc 0000000000012de8  /system/lib64/libutils.so (thread_data_t::trampoline(thread_data_t const*)+408) (BuildId:

b940f836006eead456c936e97e64d2d4)
05-28 23:54:38.988 31473 31473 F DEBUG   :       #11 pc 00000000000b6a24  /apex/com.android.runtime/lib64/bionic/libc.so (_pthread_start(void*)+264) (BuildId:

369edc656806aeaf384cbeb8f7a347af)

05-28 23:54:38.988 31473 31473 F DEBUG   :       #12 pc 00000000000532bc  /apex/com.android.runtime/lib64/bionic/libc.so (_start_thread+68) (BuildId:

369edc656806aeaf384cbeb8f7a347af)

--------------

■ 下一步计划

根据06347702，clone了新的高通case:06648851

推进高通分析并更新进展到此票中

#3 - 2023-05-30 14:59 - CD FW 曹覃刚

■ 我的分析

已起高通case:06648851

05/30, 高通未回复

■ 下一步计划

推进高通回复并更新反馈到票中

#4 - 2023-05-31 15:53 - CD FW 曹覃刚

■ 我的分析

已起高通case:06648851

05/31, 高通未回复, 且高通那边还没有分配人来看这个问题

■ 下一步计划

推进高通回复并更新反馈到票中

#5 - 2023-06-01 18:06 - CD FW 曹覃刚

■ 我的分析

已起高通case:06648851

06/01, 高通未回复, 且高通那边还没有分配人来看这个问题

■ 下一步计划

推进高通回复并更新反馈到票中

#6 - 2023-06-02 15:38 - CDTS_Test 吴诗雨

- Subject changed from 【IOVDEV-31216】【VC1】【0095】【台架】【EE环境】【副屏】monkey命令自动停止了 to 【IOVDEV-31216】【IOVDEV-32257

】【VC1】【0095】【台架】【EE环境】【副屏】monkey命令自动停止了

#7 - 2023-06-02 20:02 - CD FW 曹覃刚

■ 我的分析

已起高通case:06648851

06/02, 高通回复说，正在分析这个问题，并会尽快提供反馈

■ 下一步计划

推进高通回复并更新反馈到票中
#8 - 2023-06-05 21:31 - CD FW 曹覃刚

■ 我的分析

已起高通case:06648851

06/05, 联系上了跟踪这case的同学，目前反馈说是应用问题导致，询问了处理方式，暂未回复

■ 下一步计划

推进高通回复并更新反馈到票中

#9 - 2023-06-06 21:53 - CD FW 曹覃刚

■ 我的分析

已起高通case:06648851

06/06, case上未回复, 同时联系上了跟踪这case的同学，反馈说是应用问题导致，询问了处理方式，但是一直未回复

■ 下一步计划

推进高通回复并更新反馈到票中

#10 - 2023-06-07 21:54 - CD FW 曹覃刚

■ 我的分析

已起高通case:06648851

06/07, case上未回复, 联系上了跟踪这case的同学，说是edge浏览器导致，让我们删除之后跑monkey试试，原因是在发生问题前刚好操作了edge浏览器

■ 下一步计划

1.继续推进高通回复并更新反馈到票中

2.monkey测试时，将edge放入黑名单看看

#11 - 2023-06-08 22:13 - CD FW 曹覃刚

■ 我的分析

已起高通case:06648851

06/07, case上未回复, 联系上了跟踪这case的同学，说是edge浏览器导致，让我们删除之后跑monkey试试，原因是在发生问题前刚好操作了edge浏览器

06/08, 将edge放入黑名单, 测试没有复现问题

■ 下一步计划

monkey测试时，将edge放入黑名单继续测试

#12 - 2023-06-10 16:24 - CD FW 曹覃刚

■ 我的分析

已起高通case:06648851

06/10, 将edge放入黑名单, 测试复现问题了,说明与edge无关，已在case上回复高通，需要高通继续帮忙分析

■ 下一步计划

继续推进高通回复并更新反馈到票中
#13 - 2023-06-12 17:59 - CD FW 曹覃刚

■ 我的分析

已起高通case:06648851

06/12, 提供了3个方案，让我们按顺序测试验证

测试需要跑monkey验证, 且不是必现问题，验证时间长, 难度大

■ 下一步计划

按照高通给的3个方案，按优先级编译VB跑monkey验证

VB编译中:

http://10.0.76.24:8080/job/VerifyBuild_for_IOT_6490/4337/

#14 - 2023-06-13 13:56 - CD FW 曹覃刚

■ 我的分析

已起高通case:06648851

提供了3个方案，高通让我们按顺序测试验证, 今日再次沟通，说是第一个方案有其他厂商验证过

第一个方案VB已出，需要测试同学帮忙跑monkey验证，已飞书依赖测试同学

/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230612/202306121843-4336

■ 下一步计划

使用VB验证，测试一两天，如果没有问题，建议先合入，在正式版本中长期观察

#15 - 2023-06-13 15:10 - CD FW 曹覃刚

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CDTS_TEST 王成

- Resolution changed from -- to DUPLICATE

转到JIRA上跟踪

#16 - 2023-06-16 15:27 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

206488 general/platform/frameworks/native Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

FW:SystemOptimization: Fix the SurfaceFlinger  pointer problemTC-RID: 1201-0205101IssueID: TS-R-BUG-118345Change-Id:

Ie5f3eea208780b53c15e6e6f41f1d1449d7fe000

#17 - 2023-06-18 22:04 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

208053 general/platform/frameworks/native Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com
FW:SystemOptimization: Fix the SurfaceFlinger  pointer problemTC-RID: 1201-0205101IssueID: TS-R-BUG-118345Change-Id:

Ie5f3eea208780b53c15e6e6f41f1d1449d7fe000(cherry picked from commit b0997558f2fb9dff4c16feec713cf9cc8b5d600d)

#18 - 2023-06-25 16:02 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

此票同117794（IOVDEV-25952）客户验证通过

#19 - 2023-06-25 16:03 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED
